<section>
  <div class="flex">
    <div class="max-w-xs">
      <label for="wallet" class="block text-sm font-medium text-gray-700"
      >Ticker</label
      >
      <div class="mt-1 relative rounded-md shadow-md">
        <input
          [(ngModel)]="cryptName"
          (keyup.enter)="addTicker()"
          type="text"
          name="wallet"
          id="wallet"
          class="block w-full pr-10 border-gray-300 text-gray-900 focus:outline-none focus:ring-gray-500 focus:border-gray-500 sm:text-sm rounded-md"
          placeholder="DOGE as example"
        />
      </div>

      <app-search-suggestions
        [searchValue]="cryptName"
        (suggestion)="handleSuggestionsUpdate($event)"
        (suggestionSelected)="handleSuggestionSelection($event)"
      >
      </app-search-suggestions>

      <div *ngIf="!isValidTicker" class="text-sm text-red-600">This ticker already added</div>
    </div>
  </div>
  <app-default-button
    (click)="addTicker()"
  >
    <svg
      class="-ml-0.5 mr-2 h-6 w-6"
      xmlns="http://www.w3.org/2000/svg"
      width="30"
      height="30"
      viewBox="0 0 24 24"
      fill="#ffffff"
    >
      <path
        d="M13 7h-2v4H7v2h4v4h2v-4h4v-2h-4V7zm-1-5C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z"
      ></path>
    </svg>
    Add ticker
  </app-default-button>
</section>
